> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get node runs for flow run



## OpenAPI

````yaml /api-reference/membrane-api.json get /flow-runs/{id}/nodes/{nodeKey}/runs
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /flow-runs/{id}/nodes/{nodeKey}/runs:
    get:
      tags:
        - FlowRuns
      summary: Get node runs for flow run
      operationId: getNodeRuns
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: nodeKey
          required: true
          in: path
          schema:
            type: string
        - name: cursor
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowNodeRunsDto'
components:
  schemas:
    FlowNodeRunsDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              upstreamRuns:
                type: array
                items:
                  type: object
                  properties:
                    nodeKey:
                      type: string
                    runId:
                      type: string
                    outputId:
                      type: string
                  required:
                    - nodeKey
                    - runId
                    - outputId
              input:
                type: object
              status:
                type: string
                enum:
                  - completed
                  - failed
                  - skipped
              logs:
                type: array
                items:
                  type: object
              outputs:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    downstreamRuns:
                      type: array
                      items:
                        type: object
                        properties:
                          runId:
                            type: string
                          nodeKey:
                            type: string
                        required:
                          - runId
                          - nodeKey
                  required:
                    - id
                    - downstreamRuns
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/FlowNodeRunsDto__schema0'
            required:
              - id
              - upstreamRuns
              - input
              - status
              - logs
              - outputs
              - errors
        cursor:
          type: string
      required:
        - items
    FlowNodeRunsDto__schema0:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/FlowNodeRunsDto__schema0'
        logs:
          type: array
          items:
            type: object
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````